import request from '@/utils/request'

export function save(data) {
  return request({
    url: '/api/admin/book/save',
    method: 'post',
    data
  })
}

export function list(params) {
  return request({
    url: '/api/admin/book/index',
    method: 'get',
    params
  })
}

export function show(params) {
  return request({
    url: '/api/admin/book/show',
    method: 'get',
    params
  })
}


export function del(params) {
  return request({
    url: '/api/admin/book/destroy',
    method: 'get',
    params
  })
}

export function isbn(params) {
  return request({
    url: '/api/admin/other/isbn',
    method: 'get',
    params
  })
}



export function isbnCheck(params) {
  return request({
    url: '/api/admin/other/isbn-check',
    method: 'get',
    params
  })
}





export function saveDetail(data) {
  return request({
    url: '/api/admin/book_detail/save',
    method: 'post',
    data
  })
}

export function listDetail(params) {
  return request({
    url: '/api/admin/book_detail/index',
    method: 'get',
    params
  })
}

export function showDetail(params) {
  return request({
    url: '/api/admin/book_detail/show',
    method: 'get',
    params
  })
}


export function delDetail(params) {
  return request({
    url: '/api/admin/book_detail/destroy',
    method: 'get',
    params
  })
}
